DOVEADM-MOUNT(1)

NAME
doveadm-mount - Manage the list of mountpoints where mails are stored

SYNOPSIS
doveadm [-Dv] [-f formatter] mount command [arguments]

DESCRIPTION
The doveadm mount commands can be used to manage the list of mountpoints where mails are stored. This is used mainly for better error handling when a mountpoint isn't mounted for some reason:

*   If a mail directory doesn't exist, it's autocreated. If the user's mails aren't mounted and filesystem permissions still allow the autocreation, the user will see an empty mailbox and later will have to redownload all mails. If the mountpoint is known to be unmounted, Dovecot will simply fail opening any mailboxes.

*   If dbox alternate storage isn't mounted and a mail in it is attempted to be accessed, Dovecot normally rebuilds the indexes and notices that all the mails in alt storage are expunged. When the alt storage is mounted back and even if index is again rebuilt, the mails won't necessarily become visible anymore for IMAP clients. If the mountpoint is known to be unmounted, Dovecot won't rebuild indexes and lose the mails.

Dovecot automatically adds mountpoints to this list at startup. If you don't want some of the mountpoints added, you can add a wildcard ignore for it.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-f formatter
    Specifies the formatter for formatting the output. Supported formatters are:

    flow
        prints each line with key=value pairs.

    pager
        prints each key: value pair on its own line and separates records with form feed character (^L).

    tab prints a table header followed by tab separated value lines.

    table
        prints a table header followed by adjusted value lines.

-o setting=value
    Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-v  Enables verbosity, including progress counter.

ARGUMENTS

path
    The directory name of a mountpoint

state
    The state of a mountpoint. Either online or ignore.

COMMANDS

  mount add
doveadm mount add [path [state]]

If this command is run without any parameters, doveadm detects all missing mountpoints and adds them (the same way as when Dovecot does at startup).

When a mountpoint path is given, it's added as a mountpoint. The state can currently be either "online" (default) or "ignore". The ignore state is mainly useful with path wildcards to add mountpoints that you never want Dovecot to automatically add, such as: doveadm mount add '/mnt/*' ignore

  mount list
doveadm [-Dv ] [-f formatter] mount list

This command lists the mountpoints known to Dovecot and their state.

  mount remove
doveadm mount remove path

This command removes the specified path from the mountpoint list.

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1)